com.singularsys.jep.configurableparser

## Class StandardConfigurableParser

- java.lang.Object
- - com.singularsys.jep.configurableparser.ConfigurableParser
  - - com.singularsys.jep.configurableparser.StandardConfigurableParser

- All Implemented Interfaces:
    JepComponent, Parser, java.io.Serializable

      public class StandardConfigurableParser
      extends ConfigurableParser

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.configurableparser.ConfigurableParser

      `filters, g, gpf, jep, m, otm, stm, tf, tk`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardConfigurableParser()` Create a standard configurable parse with standard options.

  - ### Method Summary

    - ### Methods inherited from class com.singularsys.jep.configurableparser.ConfigurableParser

      `addArrayAccessMatcher, addBracketMatcher, addDoubleQuoteStrings, addExponentNumbers, addFunctionMatcher, addGrammarMatcher, addHashComments, addIdentifiers, addListMatcher, addListOrBracketMatcher, addOperatorTokenMatcher, addSemiColonTerminator, addSimpleNumbers, addSingleQuoteStrings, addSlashComments, addSymbols, addTokenFilter, addTokenMatcher, addWhiteSpace, addWhiteSpaceCommentFilter, continueParse, filter, getGrammarMatchers, getGrammarParserFactory, getJep, getLightWeightInstance, getOperatorTokenMatcher, getSymbolToken, getSymbolTokenMatcher, getTokenFilters, getTokenizerFactory, getTokenMatchers, init, parse, parse, restart, scan, scan, setGrammarParserFactory, setImplicitMultiplicationSymbols, setTokenizerFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardConfigurableParser

          public StandardConfigurableParser()

      Create a standard configurable parse with standard options.

Copyright © 2018 Singular Systems http://www.singularsys.com/jep